## Apache Zeta Components Manual :: Docs For Class ezcReflectionObjectType

### Reflection::ezcReflectionObjectType

### Class ezcReflectionObjectType

Representation for all class types

Source for this file: /Reflection/src/types/object_type.php

    ezcReflectionAbstractType
       |
       --ezcReflectionPrimitiveType
          |
          --ezcReflectionObjectType

Version: | //autogen//

### Inherited Member Variables

From ezcReflectionAbstractType
protected | `ezcReflectionAbstractType::$typeName`

### Method Summary

public ezcReflectionObjectType | `__construct( $class )` Constructs a new ezcReflectionObjectType object.
public ezcReflectionClass | `getClass( )`
public string | `getXmlName( [ $usePrefix = true] )` Returns XML Schema name of the complexType for the class
public DOMElement | `getXmlSchema( $dom , [ $namespaceXMLSchema = 'http://www.w3.org/2001/XMLSchema'] )` Returns an <xsd:complexType/>
public boolean | `isObject( )`
public void | `setClass( $class )`

### Inherited Methods

From ezcReflectionPrimitiveType
public boolean | `ezcReflectionPrimitiveType::isPrimitive()`
public boolean | `ezcReflectionPrimitiveType::isScalarType()` Returns whether this type is one of integer, float, string, or boolean.
From ezcReflectionAbstractType
public ezcReflectionAbstractType | `ezcReflectionAbstractType::__construct()`
public string | `ezcReflectionAbstractType::getTypeName()`
public string | `ezcReflectionAbstractType::getXmlName()` Returns name of the correspondent XML Schema datatype
public DOMElement | `ezcReflectionAbstractType::getXmlSchema()`
public boolean | `ezcReflectionAbstractType::isArray()`
public boolean | `ezcReflectionAbstractType::isMap()`
public boolean | `ezcReflectionAbstractType::isObject()`
public boolean | `ezcReflectionAbstractType::isPrimitive()`
public boolean | `ezcReflectionAbstractType::isScalarType()` Returns whether this type is one of integer, float, string, or boolean.
public String | `ezcReflectionAbstractType::__toString()` Returns a string representation.

### Methods

#### __construct

ezcReflectionObjectType __construct( string|ReflectionClass $class )

Constructs a new ezcReflectionObjectType object.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$class` | string|ReflectionClass | Name or ReflectionClass object of the class to be reflected

##### Redefinition of:

Method | Description
--- | ---
`ezcReflectionAbstractType::__construct()` |

#### getClass

ezcReflectionClass getClass( )

##### Exceptions:

Type | Description
--- | ---
`ReflectionException` | if the specified class doesn't exist

#### getXmlName

string getXmlName( [boolean $usePrefix = true] )

Returns XML Schema name of the complexType for the class

The `this namespace' (tns) prefix is comonly used to refer to the current XML Schema document.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$usePrefix` | boolean | augments common prefix `tns:' to the name

##### Redefinition of:

Method | Description
--- | ---
`ezcReflectionAbstractType::getXmlName()` | Returns name of the correspondent XML Schema datatype

#### getXmlSchema

DOMElement getXmlSchema( $dom , [ $namespaceXMLSchema = 'http://www.w3.org/2001/XMLSchema'] )

Returns an <xsd:complexType/>

##### Parameters:

Name | Type | Description
--- | --- | ---
`$dom` | DOMDocument |
`$namespaceXMLSchema` |  |

##### Redefinition of:

Method | Description
--- | ---
`ezcReflectionAbstractType::getXmlSchema()` |

#### isObject

boolean isObject( )

##### Redefinition of:

Method | Description
--- | ---
`ezcReflectionAbstractType::isObject()` |

#### setClass

void setClass( $class )

##### Parameters:

Name | Type | Description
--- | --- | ---
`$class` | ReflectionClass |

Documentation generated by phpDocumentor 1.4.3